atomdb=getenv('ATOMDB')
if (n_elements(line) eq 0) then $
  read_linelist,atomdb+'/apec_line.fits',line,t1,n1,l1
if (n_elements(rsline) eq 0) then $
  read_linelist,'RS93_line.fits',rsline,t2,n2,l2
if (n_elements(coco) eq 0) then $
  read_coco,atomdb+'/apec_coco.fits',coco,t3,n3,l3
if (n_elements(rscoco) eq 0) then $
  read_coco,'RS93_coco.fits',rscoco,t4,n4,l4

set_plot,'ps'

;print,'Doing 1.e4'
;Ebin_1e4 = make_range(0.1,1,901)
;if (n_elements(apec_1e4) eq 0) then $
;  apec_1e4 = calc_spectrum(line,coco,Ebin_1e4,1.e4,/erg)
;if (n_elements(rs93_1e4) eq 0) then $
;  rs93_1e4 = calc_spectrum(rsline,rscoco,Ebin_1e4,1.e4,/erg)

;print,'Doing 3.e4'
;Ebin_3e4 = make_range(0.01,0.3,901)
;if (n_elements(apec_3e4) eq 0) then $
;  apec_3e4 = calc_spectrum(line,coco,Ebin_3e4,3.e4,/erg)
;if (n_elements(rs93_3e4) eq 0) then $
;  rs93_3e4 = calc_spectrum(rsline,rscoco,Ebin_3e4,3.e4,/erg)
;
;print,'Doing 1.e5'
;Ebin_1e5 = make_range(0.01,1,901)
;if (n_elements(apec_1e5) eq 0) then $
;  apec_1e5 = calc_spectrum(line,coco,Ebin_1e5,1.e5,/erg)
;if (n_elements(rs93_1e5) eq 0) then $
;  rs93_1e5 = calc_spectrum(rsline,rscoco,Ebin_1e5,1.e5,/erg)

;print,'Doing 3.e5'
;Ebin_3e5 = make_range(0.1,1,901)
;if (n_elements(apec_3e5) eq 0) then $
;apec_3e5 = calc_spectrum(line,coco,Ebin_3e5,3.e5,/erg)
;if (n_elements(rs93_3e5) eq 0) then $
;  rs93_3e5 = calc_spectrum(rsline,rscoco,Ebin_3e5,3.e5,/erg)

print,'Doing 1.e6'
Ebin_1e6 = make_range(0.1,5.0,981)
if (n_elements(apec_1e6) eq 0) then $
  apec_1e6 = calc_spectrum(line,coco,Ebin_1e6,1.e6,/erg)
if (n_elements(rs93_1e6) eq 0) then $
  rs93_1e6 = calc_spectrum(rsline,rscoco,Ebin_1e6,1.e6,/erg)

print,'Doing 2.5e6'
Ebin_3e6 = make_range(0.1,5.0,981)
if (n_elements(apec_3e6) eq 0) then $
  apec_3e6 = calc_spectrum(line,coco,Ebin_3e6,2.5e6,/erg)
if (n_elements(rs93_3e6) eq 0) then $
  rs93_3e6 = calc_spectrum(rsline,rscoco,Ebin_3e6,2.5e6,/erg)

print,'Doing 6.3e6'
Ebin_1e7 = make_range(0.1,10,1101)
if (n_elements(apec_1e7) eq 0) then $
  apec_1e7 = calc_spectrum(line,coco,Ebin_1e7,6.3e6,/erg)
if (n_elements(rs93_1e7) eq 0) then $
  rs93_1e7 = calc_spectrum(rsline,rscoco,Ebin_1e7,6.3e6,/erg)

print,'Doing 1.6e7'
Ebin_3e7 = make_range(0.1,10,1101)
if (n_elements(apec_3e7) eq 0) then $
  apec_3e7 = calc_spectrum(line,coco,Ebin_3e7,1.6e7,/erg)
if (n_elements(rs93_3e7) eq 0) then $
  rs93_3e7 = calc_spectrum(rsline,rscoco,Ebin_3e7,1.6e7,/erg)

;print,'Doing 8e7'
;Ebin_8e7 = make_range(0.1,10,1101)
;if (n_elements(apec_8e7) eq 0) then $
;  apec_8e7 = calc_spectrum(line,coco,Ebin_8e7,8.e7,/erg,$
;                           ELEMENT=[1,2,6,7,8,10,12,13,14,16,18,20,26])
;if (n_elements(rs93_8e7) eq 0) then $
;  rs93_8e7 = calc_spectrum(rsline,rscoco,Ebin_8e7,8.e7,/erg)

print,'Doing 4e7'
Ebin_1e8 = make_range(0.1,10,1101)
if (n_elements(apec_1e8) eq 0) then $
  apec_1e8 = calc_spectrum(line,coco,Ebin_1e8,4e7,/erg,$
                          ELEMENT=[1,2,6,7,8,10,12,13,14,16,18,20,26])
if (n_elements(rs93_1e8) eq 0) then $
  rs93_1e8 = calc_spectrum(rsline,rscoco,Ebin_1e8,4.e7,/erg)


;print,'Doing 3.e8'
;Ebin_3e8 = make_range(0.1,10,1101)
;if (n_elements(apec_3e8) eq 0) then $
;  apec_3e8 = calc_spectrum(line,coco,Ebin_3e8,3.e8,/erg)
;if (n_elements(rs93_3e8) eq 0) then $
;  rs93_3e8 = calc_spectrum(rsline,rscoco,Ebin_3e8,3.e8,/erg)

!xtitle = 'Energy (keV)'
!ytitle = 'Emissivity (ergs cm!E3!N s!E-1!N bin!E-1!N)'
!x.style = 1
!mtitle = ''

;plot, Ebin_1e4, apec_1e4, psym=10, xrange=[0.1, 1.0]
;oplot, Ebin_1e4, rs93_1e4, psym=10, linestyle=1
;legend,['T = 1.e4','APEC','RS93'],linestyle=[-1,0,1],psym=[-3,-3,-3],$
;  box=0,/top,/right

;plot_io, Ebin_3e4, apec_3e4, psym=10, xrange=[0.01, 0.1]
;oplot, Ebin_3e4, rs93_3e4, psym=10, linestyle=1
;legend,['T = 3.e4','APEC','RS93'],linestyle=[-1,0,1],psym=[-3,-3,-3],$
;  box=0,/top,/right

;plot_io, Ebin_1e5, apec_1e5, psym=10, xrange=[0.0, 1.0],xstyle=1,$
;  yrange=[1.e-35,1.e-28]
;oplot, Ebin_1e5, rs93_1e5, psym=10, linestyle=1
;legend,['T = 1.e5','APEC','RS93'],linestyle=[-1,0,1],psym=[-3,-3,-3],$
;  box=0,/top,/right

;plot_io, Ebin_3e5, apec_3e5, psym=10, xrange=[0.1, 1.0],xstyle=1,$
;  yrange=[1.e-34,1.e-24]
;oplot, Ebin_3e5, rs93_3e5, psym=10, linestyle=1
;legend,['T = 3.e5','APEC','RS93'],linestyle=[-1,0,1],psym=[-3,-3,-3],$
;  box=0,/top,/right

device,filename='Spec_1e6.ps'
plot_io, Ebin_1e6, apec_1e6, psym=10, xrange=[0.1, 1.0]
oplot, Ebin_1e6, rs93_1e6, psym=10, linestyle=1
legend,['T = 1.e6','APEC','RS93'],linestyle=[-1,0,1],psym=[-3,-3,-3],$
  box=0,/top,/right
device,/close

device,filename='Spec_3e6.ps'
plot_io, Ebin_3e6, apec_3e6, psym=10, xrange=[0.1, 2.0]
oplot, Ebin_3e6, rs93_3e6, psym=10, linestyle=1
legend,['T = 2.5e6','APEC','RS93'],linestyle=[-1,0,1],psym=[-3,-3,-3],$
  box=0,/top,/right
device,/close

device,filename='Spec_1e7.ps'
plot_io, Ebin_1e7, apec_1e7, psym=10, xrange=[0.1, 5.0]
oplot, Ebin_1e7, rs93_1e7, psym=10, linestyle=1
legend,['T = 6.3e6','APEC','RS93'],linestyle=[-1,0,1],psym=[-3,-3,-3],$
  box=0,/top,/right
device,/close

device,filename='Spec_3e7.ps'
plot_io, Ebin_3e7, apec_3e7, psym=10, xrange=[0.1, 10.0]
oplot, Ebin_3e7, rs93_3e7, psym=10, linestyle=1
;oplot, Ebin_3e7, rs93_3e7, psym=1
legend,['T = 1.6e7','APEC','RS93'],linestyle=[-1,0,1],psym=[-3,-3,-3],$
  box=0,/top,/right
device,/close

;plot_io, Ebin_8e7, apec_8e7, psym=10, xrange=[0.1, 10.0]
;oplot, Ebin_8e7, rs93_8e7, psym=10, linestyle=1
;oplot, Ebin_8e7, rs93_8e7, psym=1
;legend,['T = 8.e7','APEC','RS93'],linestyle=[-1,0,1],psym=[-3,-3,-3],$
;  box=0,/top,/right

device,filename='Spec_1e8.ps'
plot_io, Ebin_1e8, apec_1e8, psym=10, xrange=[0.1, 10.0]
oplot, Ebin_1e8, rs93_1e8, psym=10, linestyle=1
;oplot, Ebin_1e8, rs93_1e8, psym=1
legend,['T = 4.e7','APEC','RS93'],linestyle=[-1,0,1],psym=[-3,-3,-3],$
  box=0,/top,/right
device,/close

;plot_io, Ebin_3e8, apec_3e8, psym=10, xrange=[0.1, 10.0]
;oplot, Ebin_3e8, rs93_3e8, psym=10, linestyle=1
;legend,['T = 3.e8','APEC','RS93'],linestyle=[-1,0,1],psym=[-3,-3,-3],$
;  box=0,/top,/right

!x.style = 0
