PRO add_reference, fileorhdr, reference, HEADER=header

if (n_elements(header) eq 0) then begin
    datatype = 1                ; file
    filename = fileorhdr
    result = findfile(filename,count=count)
    if (count eq 0) then begin
        print,'File ',filename,' does not exist.'
        return
    endif
endif else begin
    datatype = 0                ; header
endelse

maxlen = 60
name = "COMMENT"
value = reference
n_str = strlen(reference)/maxlen
errmsg = ''
for i=0, n_str do begin
    value = strmid(reference, i*maxlen, maxlen)
    if (datatype eq 1) then begin
        fxhmodify, filename, name, value, extension=1, ERRMSG=errmsg
        if (errmsg ne '') then begin
            print,'Error modifying header of file ',filename
            print,errmsg
            return
        endif
    endif else begin
        fxaddpar, fileorhdr, name, value
    endelse
endfor

return
end
