read_array,'Evol_58.out',d58,skip=6
read_array,'Evol_60.out',d60,skip=6
read_array,'Evol_61.out',d61,skip=6
read_array,'Evol_62.out',d62,skip=6
read_array,'Evol_63.out',d63,skip=6
read_array,'Evol_64.out',d64,skip=6
read_array,'Evol_66.out',d66,skip=6
read_array,'Evol_68.out',d68,skip=6

Eo7 = 1.602e-9*12.398/21.8  ; in ergs
Eo8a= 1.602e-9*12.398/18.97 ; in ergs
Eo8b= 1.602e-9*12.398/16.01 ; in ergs
Ene9= 1.602e-9*12.398/13.5  ; in ergs
Ene10=1.602e-9*12.398/12.13 ; in ergs

flu_58 = reform(d60(0,*))
o7t_58 = 1.e-23*reform(d58(5,*) + d58(6,*) + d58(7,*))   /Eo7
o8a_58 = 1.e-23*reform(d58(8,*))                         /Eo8a
o8b_58 = 1.e-23*reform(d58(9,*))                         /Eo8b
ne9_58 = 1.e-23*reform(d58(10,*) + d58(11,*) + d58(12,*))/Ene9
ne10_58= 1.e-23*reform(d58(13,*))                        /Ene10

flu_60 = reform(d60(0,*))
o7t_60 = 1.e-23*reform(d60(5,*) + d60(6,*) + d60(7,*))   /Eo7
o8a_60 = 1.e-23*reform(d60(8,*))                         /Eo8a
o8b_60 = 1.e-23*reform(d60(9,*))                         /Eo8b
ne9_60 = 1.e-23*reform(d60(10,*) + d60(11,*) + d60(12,*))/Ene9
ne10_60= 1.e-23*reform(d60(13,*))                        /Ene10

flu_61 = reform(d61(0,*))
o7t_61 = 1.e-23*reform(d61(5,*) + d61(6,*) + d61(7,*))   /Eo7
o8a_61 = 1.e-23*reform(d61(8,*))                         /Eo8a
o8b_61 = 1.e-23*reform(d61(9,*))                         /Eo8b
ne9_61 = 1.e-23*reform(d61(10,*) + d61(11,*) + d61(12,*))/Ene9
ne10_61= 1.e-23*reform(d61(13,*))                        /Ene10

flu_62 = reform(d62(0,*))                         
o7t_62 = 1.e-23*reform(d62(5,*) + d62(6,*) + d62(7,*))   /Eo7  
o8a_62 = 1.e-23*reform(d62(8,*))                         /Eo8a 
o8b_62 = 1.e-23*reform(d62(9,*))                         /Eo8b 
ne9_62 = 1.e-23*reform(d62(10,*) + d62(11,*) + d62(12,*))/Ene9 
ne10_62= 1.e-23*reform(d62(13,*))                        /Ene10

flu_63 = reform(d63(0,*))
o7t_63 = 1.e-23*reform(d63(5,*) + d63(6,*) + d63(7,*))   /Eo7
o8a_63 = 1.e-23*reform(d63(8,*))                         /Eo8a
o8b_63 = 1.e-23*reform(d63(9,*))                         /Eo8b
ne9_63 = 1.e-23*reform(d63(10,*) + d63(11,*) + d63(12,*))/Ene9
ne10_63= 1.e-23*reform(d63(13,*))                        /Ene10

flu_64 = reform(d64(0,*))                         
o7t_64 = 1.e-23*reform(d64(5,*) + d64(6,*) + d64(7,*))   /Eo7  
o8a_64 = 1.e-23*reform(d64(8,*))                         /Eo8a 
o8b_64 = 1.e-23*reform(d64(9,*))                         /Eo8b 
ne9_64 = 1.e-23*reform(d64(10,*) + d64(11,*) + d64(12,*))/Ene9 
ne10_64= 1.e-23*reform(d64(13,*))                        /Ene10

flu_66 = reform(d66(0,*))                         
o7t_66 = 1.e-23*reform(d66(5,*) + d66(6,*) + d66(7,*))   /Eo7  
o8a_66 = 1.e-23*reform(d66(8,*))                         /Eo8a 
o8b_66 = 1.e-23*reform(d66(9,*))                         /Eo8b 
ne9_66 = 1.e-23*reform(d66(10,*) + d66(11,*) + d66(12,*))/Ene9 
ne10_66= 1.e-23*reform(d66(13,*))                        /Ene10

flu_68 = reform(d68(0,*))
o7t_68 = 1.e-23*reform(d68(5,*) + d68(6,*) + d68(7,*))   /Eo7  
o8a_68 = 1.e-23*reform(d68(8,*))                         /Eo8a 
o8b_68 = 1.e-23*reform(d68(9,*))                         /Eo8b 
ne9_68 = 1.e-23*reform(d68(10,*) + d68(11,*) + d68(12,*))/Ene9 
ne10_68= 1.e-23*reform(d68(13,*))                        /Ene10

get_lun,lun
openw,lun,'Emis_58.dat'
printf,lun,'T (K)   Fluence    O7 Trip  O8 LyA     O8 LyB    Ne9 Trip  Ne10 LyA'
for i=0,n_elements(flu_58)-1 do printf,lun,'6.3e5',$
  flu_58(i),o7t_58(i),o8a_58(i),o8b_58(i),ne9_58(i),ne10_58(i),$
    FORMAT='(A7,6e10.3)'
close,lun
free_lun,lun

get_lun,lun
openw,lun,'Emis_60.dat'
printf,lun,'T (K)   Fluence    O7 Trip  O8 LyA     O8 LyB    Ne9 Trip  Ne10 LyA'
for i=0,n_elements(flu_60)-1 do printf,lun,'1.00e6',$
  flu_60(i),o7t_60(i),o8a_60(i),o8b_60(i),ne9_60(i),ne10_60(i),$
    FORMAT='(A7,6e10.3)'
close,lun
free_lun,lun

get_lun,lun
openw,lun,'Emis_61.dat'
printf,lun,'T (K)   Fluence    O7 Trip  O8 LyA     O8 LyB    Ne9 Trip  Ne10 LyA'
for i=0,n_elements(flu_61)-1 do printf,lun,'1.26e6',$
  flu_61(i),o7t_61(i),o8a_61(i),o8b_61(i),ne9_61(i),ne10_61(i),$
    FORMAT='(A7,6e10.3)'
close,lun
free_lun,lun

get_lun,lun
openw,lun,'Emis_62.dat'
printf,lun,'T (K)   Fluence    O7 Trip  O8 LyA     O8 LyB    Ne9 Trip  Ne10 LyA'
for i=0,n_elements(flu_62)-1 do printf,lun,'1.58e6',$
  flu_62(i),o7t_62(i),o8a_62(i),o8b_62(i),ne9_62(i),ne10_62(i),$
    FORMAT='(A7,6e10.3)'
close,lun
free_lun,lun

get_lun,lun
openw,lun,'Emis_63.dat'
printf,lun,'T (K)   Fluence    O7 Trip  O8 LyA     O8 LyB    Ne9 Trip  Ne10 LyA'
for i=0,n_elements(flu_63)-1 do printf,lun,'2.0e6',$
  flu_63(i),o7t_63(i),o8a_63(i),o8b_63(i),ne9_63(i),ne10_63(i),$
    FORMAT='(A7,6e10.3)'
close,lun
free_lun,lun

get_lun,lun
openw,lun,'Emis_64.dat'
printf,lun,'T (K)   Fluence    O7 Trip  O8 LyA     O8 LyB    Ne9 Trip  Ne10 LyA'
for i=0,n_elements(flu_64)-1 do printf,lun,'2.51e6',$
  flu_64(i),o7t_64(i),o8a_64(i),o8b_64(i),ne9_64(i),ne10_64(i),$
    FORMAT='(A7,6e10.3)'
close,lun
free_lun,lun
  
get_lun,lun
openw,lun,'Emis_66.dat'
printf,lun,'T (K)   Fluence    O7 Trip  O8 LyA     O8 LyB    Ne9 Trip  Ne10 LyA'
for i=0,n_elements(flu_66)-1 do printf,lun,'4.00e6',$
  flu_66(i),o7t_66(i),o8a_66(i),o8b_66(i),ne9_66(i),ne10_66(i),$
    FORMAT='(A7,6e10.3)'
close,lun
free_lun,lun

get_lun,lun
openw,lun,'Emis_68.dat'
printf,lun,'T (K)   Fluence    O7 Trip  O8 LyA     O8 LyB    Ne9 Trip  Ne10 LyA'
for i=0,n_elements(flu_68)-1 do printf,lun,'6.30e6',$
  flu_68(i),o7t_68(i),o8a_68(i),o8b_68(i),ne9_68(i),ne10_68(i),$
    FORMAT='(A7,6e10.3)'
close,lun
free_lun,lun
