FUNCTION calc_wavelength, Z, rmJ, ll, lu, SILENT=silent, THEORY=theory

common Eline_com, Z_Eline, rmJ_Eline, data_Eline, header_Eline

read_eline, Z, rmJ, data, header, found=found

result = -1.0

if (found eq 1) then begin
    gp = where(data.lower_lev eq ll and data.upper_lev eq lu,count)
    if (count gt 1) then begin
        print,'More than one transition between ll and lu?'
        stop
    endif
    if (count eq 0) then begin
        if (n_elements(silent) eq 0) then print,'No such transition'
        result = -2.0
        return, result
    endif
    if (n_elements(theory) ne 0) then begin
        result = data(gp).wavelen
    endif else begin
        result = data(gp).wave_obs
    endelse
endif

return, result
end
