%
%
% Provide facility to use something like the C-header files
%
%
%
%
%
% Ronnie Hoogerwerf, SAO, 06/27/2002
%
variable headers;

if (__is_initialized(&headers) == 0) {
   headers = Assoc_Type[Integer_Type,0];
}

%
%
define uses() {

   variable file, ext = ".slh", last = 0;
   variable path = ".:" + getenv("SLANG_SCRIPT_PATH"), p;
   path = strtok(path,":");

   if (_NARGS != 0) {

      loop (_NARGS) {

	 file = ();
	 file = strtrim(file) + ext;
	 %
	 % loop over the SLANG_SCRIPT_PATH for find the 
	 % file on the file system.
	 %
	 foreach (path) {
	    p = ();
	    last = stat_file(p+"/"+file);
	    if (last != NULL) break;
	 }
	 if (last != NULL) {
	    last = last.st_mtime;
	    if (last > headers[file]) {
	       headers[file] = last;
	       () = evalfile(file);
	    }
	 } else {
	    verror("File \"%s\" does not exist.",file);
	 }
      }
   }
}
