
      subroutine read_band()

      implicit none

      include 'jr_common.inc'
      include 'datafiles.inc'
      integer NDATBINS,NbeDATBINS
      parameter (NDATBINS=202,NbeDATBINS=234)
      integer i,numbins
      character*80 dummy
      real EbeBinDat(NbeDATBINS),BerespDat(NbeDATBINS)
      real BprespDat(NbeDATBINS)
      real EBinDat(NDATBINS),BrespDat(NDATBINS),CrespDat(NDATBINS)
      real M1respDat(NDATBINS),M2respDat(NDATBINS)
      real EnergyBin(MAXBINS)
      real Bresp(MAXBINS),Cresp(MAXBINS)
      real BEresp(MAXBINS),Bpresp(MAXBINS)
      real M1resp(MAXBINS),M2resp(MAXBINS)
      common/response/EnergyBin,Bresp,Cresp,BEresp,Bpresp,
     $     M1resp,M2resp

      real Ebin,Bfit,Cfit,BeFit,BpFit,M1fit, M2fit, a,b,c
      real EnergyTmp,BrespTmp,CrespTmp,M1respTmp,M2respTmp,BerespTmp
      real BprespTmp
      
      open(unit=11,FILE=aerobee_bands,STATUS='OLD')

      read(11,FMT='(A80)') dummy
      read(11,FMT='(A80)') dummy
      do i=1,NDATBINS
         read(11,*) EnergyTmp,BrespTmp,CrespTmp,M1respTmp,
     $        M2respTmp,a,b,c
         EBinDat(i)=EnergyTmp
         BrespDat(i)=BrespTmp
         CrespDat(i)=CrespTmp
         M1respDat(i)=M1respTmp
         M2respDat(i)=M2respTmp
      end do

      close(unit=11)

      open(unit=11,FILE=uxt_bands,STATUS='OLD')

      read(11,FMT='(A80)') dummy
      do i=1,NbeDATBINS
         read(11,*) EnergyTmp,BerespTmp,BprespTmp
         EbeBinDat(i) = EnergyTmp
         BerespDat(i) = BerespTmp
         BprespDat(i) = BprespTmp
      end do

      close(unit=11)

      do i=1,nbin
         Ebin  = binmin + (i-1)*binsyz
         if ((Ebin.ge.EbinDat(1)).and.(Ebin.le.EbinDat(NDATBINS))) then
            call interpol_huntd(1,NDATBINS,EbinDat,BrespDat,
     $           1,Ebin,Bfit)
            call interpol_huntd(1,NDATBINS,EbinDat,CrespDat,
     $           1,Ebin,Cfit)
            call interpol_huntd(1,NDATBINS,EbinDat,M1respDat,
     $           1,Ebin,M1fit)
            call interpol_huntd(1,NDATBINS,EbinDat,M2respDat,
     $           1,Ebin,M2fit)
         else
            Bfit = 0.   ! Ebin is completely outside the B,C,M1, and M2
            Cfit = 0.   ! bandpasses. Thus the response is 0.
            M1fit = 0.   
            M2fit = 0.   
         end if
         if ((Ebin.gt.EbeBinDat(1)).and.
     $        (Ebin.le.EbeBinDat(NbeDATBINS))) then
            call interpol_huntd(1,NbeDATBINS,EbeBinDat,BerespDat,
     $           1,Ebin,Befit)
            call interpol_huntd(1,NbeDATBINS,EbeBinDat,BprespDat,
     $           1,Ebin,Bpfit)
         else
            Befit = 0.
            Bpfit = 0.
         end if
         EnergyBin(i) = Ebin
         Beresp(i)    = Befit
         Bpresp(i)    = Bpfit
         Bresp(i)     = Bfit
         Cresp(i)     = Cfit
         M1resp(i)    = M1fit
         M2resp(i)    = M2fit
      end do
      
      return
      end
      
