% Calculate old 
paramprompt off
binwidth = 10.0/1.e3;
dataspace (0.01:10.01:0.01) histogram
xsraymond[rs]
%rs.kT = 0.8617
rs.kT = 1.7234

import("slrs93");
Nbin = 1000;
Emin = 10.; % in eV
Esyz = 10.; % in eV

slrs93_setbin(Nbin, Emin, Esyz);
Evec = Emin + [0:Nbin-1:1]*Esyz;
Evec = (Evec + Esyz)/ 1.e3;

slrs93_equil(2.e7,1.);

result = slrs93_getresult();

spec = 1.e-23*result.spec/(Evec*1.602e-9); % now ph cm^3 /s /bin
spec = 1.e14*spec/(4*PI);  % convert to XSPEC units
spec = 1.e3*spec;
spec = 1.3*spec
%spec = 2.0909*spec; % free particles per nucleon (2.0 + 0.1 * 3)/(1. + 0.1)
% this may not be correct.

lplot rs 
() = curve(Evec, spec);
simple;
histo;
red;
symbol none;
log x;
log y;
font tiny;
xlabel "Energy (keV)";
ylabel "Flux (photons/ cm^2 / s / bin)"
redraw;

line = slrs93_getlines();
